OpenCV: CvLevMarq Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Types | Public Member Functions | Public Attributes | List of all members
CvLevMarq Class Reference

`#include "calib3d_c.h"`

## Public Types
enum | { DONE =0, STARTED =1, CALC_J =2, CHECK_ERR =3 }

## Public Member Functions
| CvLevMarq ()
| CvLevMarq (int nparams, int nerrs, CvTermCriteria criteria=cvTermCriteria(CV_TERMCRIT_EPS+CV_TERMCRIT_ITER, 30, DBL_EPSILON), bool completeSymmFlag=false)
| ~CvLevMarq ()
void | clear ()
void | init (int nparams, int nerrs, CvTermCriteria criteria=cvTermCriteria(CV_TERMCRIT_EPS+CV_TERMCRIT_ITER, 30, DBL_EPSILON), bool completeSymmFlag=false)
void | step ()
bool | update (const CvMat *&param, CvMat *&J, CvMat *&err)
bool | updateAlt (const CvMat *&param, CvMat *&JtJ, CvMat *&JtErr, double *&errNorm)

## Public Attributes
bool | completeSymmFlag
CvTermCriteria | criteria
cv::Ptr< CvMat > | err
double | errNorm
int | iters
cv::Ptr< CvMat > | J
cv::Ptr< CvMat > | JtErr
cv::Ptr< CvMat > | JtJ
cv::Ptr< CvMat > | JtJN
cv::Ptr< CvMat > | JtJV
cv::Ptr< CvMat > | JtJW
int | lambdaLg10
cv::Ptr< CvMat > | mask
cv::Ptr< CvMat > | param
double | prevErrNorm
cv::Ptr< CvMat > | prevParam
int | solveMethod
int | state

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
DONE |
STARTED |
CALC_J |
CHECK_ERR |

## Constructor & Destructor Documentation

## ◆ CvLevMarq() [1/2]

CvLevMarq::CvLevMarq | ( |  | ) |

## ◆ CvLevMarq() [2/2]

CvLevMarq::CvLevMarq | ( | int | nparams,
|  | int | nerrs,
|  | CvTermCriteria | criteria = `cvTermCriteria(CV_TERMCRIT_EPS+CV_TERMCRIT_ITER, 30, DBL_EPSILON)`,
|  | bool | completeSymmFlag = `false`
| ) |  |

## ◆ ~CvLevMarq()

CvLevMarq::~CvLevMarq | ( |  | ) |

## Member Function Documentation

## ◆ clear()

void CvLevMarq::clear | ( |  | ) |

## ◆ init()

void CvLevMarq::init | ( | int | nparams,
|  | int | nerrs,
|  | CvTermCriteria | criteria = `cvTermCriteria(CV_TERMCRIT_EPS+CV_TERMCRIT_ITER, 30, DBL_EPSILON)`,
|  | bool | completeSymmFlag = `false`
| ) |  |

## ◆ step()

void CvLevMarq::step | ( |  | ) |

## ◆ update()

bool CvLevMarq::update | ( | const CvMat *& | param,
|  | CvMat *& | J,
|  | CvMat *& | err
| ) |  |

## ◆ updateAlt()

bool CvLevMarq::updateAlt | ( | const CvMat *& | param,
|  | CvMat *& | JtJ,
|  | CvMat *& | JtErr,
|  | double *& | errNorm
| ) |  |

## Member Data Documentation

## ◆ completeSymmFlag

bool CvLevMarq::completeSymmFlag

## ◆ criteria

CvTermCriteria CvLevMarq::criteria

## ◆ err

cv::Ptr<CvMat> CvLevMarq::err

## ◆ errNorm

double CvLevMarq::errNorm

## ◆ iters

int CvLevMarq::iters

## ◆ J

cv::Ptr<CvMat> CvLevMarq::J

## ◆ JtErr

cv::Ptr<CvMat> CvLevMarq::JtErr

## ◆ JtJ

cv::Ptr<CvMat> CvLevMarq::JtJ

## ◆ JtJN

cv::Ptr<CvMat> CvLevMarq::JtJN

## ◆ JtJV

cv::Ptr<CvMat> CvLevMarq::JtJV

## ◆ JtJW

cv::Ptr<CvMat> CvLevMarq::JtJW

## ◆ lambdaLg10

int CvLevMarq::lambdaLg10

## ◆ mask

cv::Ptr<CvMat> CvLevMarq::mask

## ◆ param

cv::Ptr<CvMat> CvLevMarq::param

## ◆ prevErrNorm

double CvLevMarq::prevErrNorm

## ◆ prevParam

cv::Ptr<CvMat> CvLevMarq::prevParam

## ◆ solveMethod

int CvLevMarq::solveMethod

## ◆ state

int CvLevMarq::state

The documentation for this class was generated from the following file:

- calib3d/include/opencv2/calib3d/calib3d_c.h